
Redmine - Defect #18269

Timelog CSV export missing tracker name and issue name

2014-11-03 18:55 - Henning Kröger

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 2.6.1   

Resolution: Fixed Affected version: 2.6.0

Description

If I export timelog entries from the tab "Details" to CSV, the tracker name and issue name are no longer available in the exported file.

The CSV-column "Issue" contains only the issue number with hashtag. In previous versions (tested up to Redmine 2.5.2) it contained

always the tracker number followed by the issue id and then the issue name (just like displayed in the table of the view). It makes no

difference if all columns are selected for export or not.

My main testing environment:

Redmine version                2.6.0.stable

Ruby version                   2.0.0-p481 (2014-05-08) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

Of course exporting the timelog data is important for some companies like ours :/

If I can help with any additional information, i would be happy to do so.

Associated revisions

Revision 13562 - 2014-11-05 16:23 - Jean-Philippe Lang

Time entries CSV export should include the tracker and subject of the issue (#18269).

Revision 13630 - 2014-11-22 11:35 - Jean-Philippe Lang

Merged r13562 (#18269).

History

#1 - 2014-11-03 19:31 - Toshi MARUYAMA

- Target version set to 2.6.1

#2 - 2014-11-05 16:24 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13562. Test added to make sure this doesn't break in the future, thanks for pointing this out.

#3 - 2014-11-22 11:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
